



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Python tutorial阅读之使用 Python 解释器</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Python tutorial阅读之使用 Python 解释器</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-20 20:15:43 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<ol><li>配置环境变量后，一般可以直接通过Python或指定Python版本号来调用Python。</p>
<blockquote><p>Python 解释器有些操作类似 Unix shell：当使用终端设备（tty）作为标准输入调用时，它交互的解释并执行命令；当使用文件名参数或以文件作为标准输入调用时，它读取文件并将文件作为&nbsp;<em>脚本</em>&nbsp;执行。</p>
<p>Python -m 模块名 [arg] ... #可以直接执行模块，类似于直接读取文件并作为脚本执行</p>
<div>
<pre class="prettyprint linenums"> python -c command [arg] ... #直接执行命令<br />
 python -c "print('hello world')"<br />
 $ hello world&nbsp;&nbsp;</pre>
</div></blockquote></li>
<li>参数传递<br />
<blockquote><p>调用解释器时，脚本名和附加参数传入一个名为&nbsp;<code>sys.argv</code>&nbsp;的字符串列表。你能够获取这个列表通过执行&nbsp;<code>import&nbsp;sys</code>，列表的长度大于等于1；没有给定脚本和参数时，它至少也有一个元素：<code>sys.argv[0]</code>&nbsp;此时为空字符串。脚本名指定为&nbsp;<code>'-'</code>&nbsp;（表示标准输入）时，&nbsp;<code>sys.argv[0]</code>&nbsp;被设定为&nbsp;<code>'-'</code>，使用&nbsp;<a href="https://docs.python.org/3/using/cmdline.html#cmdoption-c" rel="external nofollow noreferrer">-c</a><em>指令</em>&nbsp;时，<code>sys.argv[0]</code>&nbsp;被设定为&nbsp;<code>'-c'</code>。使用&nbsp;<a href="https://docs.python.org/3/using/cmdline.html#cmdoption-m" rel="external nofollow noreferrer">-m</a><em>模块</em>&nbsp;参数时，<code>sys.argv[0]</code>&nbsp;被设定为指定模块的全名。<a href="https://docs.python.org/3/using/cmdline.html#cmdoption-c" rel="external nofollow noreferrer">-c</a><em>指令</em>&nbsp;或者&nbsp;<a href="https://docs.python.org/3/using/cmdline.html#cmdoption-m" rel="external nofollow noreferrer">-m</a><em>模块</em>&nbsp;之后的参数不会被 Python 解释器的选项处理机制所截获，而是留在&nbsp;<code>sys.argv</code>&nbsp;中，供脚本命令操作。</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1334574/201802/1334574-20180213185624359-1613663090.png" /></p></blockquote></li>
<li>指定编码</li></ol>
<blockquote><p># -*- coding: UTF-8 -*-</p>
<p>特殊的编码注释必须在文件中的&nbsp;<em>第一或第二</em>&nbsp;行定义。</p></blockquote>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4ppgeq.html">为阿里云站点部署免费 HTTPS</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q23k1o9.html">Runtime的几个小例子（含Demo）</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2lexx9.html">IPC-管道</a>
		</li>
						<li><a href="https://www.batexi.com/a/r932mpnq.html">javascript中的事件委托</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jkr648.html">jquery easy ui 1&period;3&period;4 窗口&comma;对话框&comma;提示框（5）</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mg52o8.html">android去掉标题栏</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wj1lwq.html">c 深度剖析 1</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e14gjm9.html">NYOJ-2 括号配对问题 -- 数据结构&lowbar;堆栈</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1mwjr9.html">HDU 1422 重温世界杯</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd35m2q.html">小试牛刀&mdash;&mdash;python接口测试小框架</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1p5xx9.html">【Java并发编程】并发编程大合集-值得收藏</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvgm41q.html">&lbrack;SAP&rsqb; 外部系统调用SAP web service用户验证的简单方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjjyej8.html">hibernate的通配符比拼接sql到底好在哪&quest;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzl6kl8.html">常用颜色RGB、灰度值</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp6d2r9.html">LeetCode &amp;amp&semi; Q414-Third Maximum Number-Easy</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oenoe8.html">JS的判断字符&sol;元素是否存在数组列表</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rerp39.html">PHP一维数组转二维数组正则表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1pnkg9.html">js&mdash;&mdash;类型转换</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2r7r0q.html">Word中带圈数字</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o14518.html">NO Route to Host 连接mysql数据库</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8ey25vj9.html">Java Thread wait、notify与notifyAll</a>
			</li>
						<li><a href="https://www.batexi.com/a/950ymoz8.html">LinkedHashMap 源码详细分析（JDK1&period;8）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1xrkdq.html">nodejs学习笔记 &mdash;&mdash; 异步编程解决方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mlpvn8.html">MLlib--GBDT算法</a>
			</li>
						<li><a href="https://www.batexi.com/a/950ywge8.html">Cookie实现--用户上次访问时间</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzglpe8.html">dedecms&nbsp;封面模板和列表模板有什么不同</a>
			</li>
						<li><a href="https://www.batexi.com/a/93yk3nr8.html">&lbrack;拾 得&rsqb;pipe和xargs的恩怨情仇</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1nnz1q.html">&lbrack;转&rsqb;怎么查看和修改 MySQL 的最大连接数？</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mezz1rq.html">如何让a标签的下划线去掉？</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k2x6z9.html">lvs&lowbar;dr</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
